Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sun.syndication.feed.rss
Class Channel

    java.lang.Object
      com.sun.syndication.feed.WireFeed
          com.sun.syndication.feed.rss.Channel

All Implemented Interfaces:
  Extendable, Serializable, Cloneable

    public class Channel

extends WireFeed

Bean for RSS feeds.

It handles all RSS versions (0.9, 0.91, 0.92, 0.93, 0.94, 1.0 and 2.0) without losing information.

Author:
  Alejandro Abdelnur
See Also:
  Serialized Form

Field Summary
`static String` | `FRIDAY`
`static String` | `MONDAY`
`static String` | `SATURDAY`
`static String` | `SUNDAY`
`static String` | `THURSDAY`
`static String` | `TUESDAY`
`static String` | `WEDNESDAY`

Constructor Summary
`Channel()` Default constructor, for bean cloning purposes only.
`Channel(String type)` Channel Constructor.

Method Summary
`List<Category>` | `getCategories()` Returns the channel categories.
`Cloud` | `getCloud()` Returns the channel cloud.
`String` | `getCopyright()` Returns the channel copyright.
`String` | `getDescription()` Returns the channel description.
`String` | `getDocs()` Returns the channel docs.
`String` | `getGenerator()` Returns the channel generator.
`Image` | `getImage()` Returns the channel image.
`List<Item>` | `getItems()` Returns the channel items.
`String` | `getLanguage()` Returns the channel language.
`Date` | `getLastBuildDate()` Returns the channel last build date.
`String` | `getLink()` Returns the channel link.
`String` | `getManagingEditor()` Returns the channel managing editor.
`Module` | `getModule(String uri)` Returns the module identified by a given URI.
`List<Module>` | `getModules()` Returns the channel modules.
`Date` | `getPubDate()` Returns the channel publishing date.
`String` | `getRating()` Returns the channel rating.
`List<String>` | `getSkipDays()` Returns the channel skip days.
`List<Integer>` | `getSkipHours()` Returns the channel skip hours.
`TextInput` | `getTextInput()` Returns the channel text input.
`String` | `getTitle()` Returns the channel title.
`int` | `getTtl()` Returns the channel time to live.
`String` | `getUri()` Returns the channel uri.
`String` | `getWebMaster()` Returns the channel web master.
`void` | `setCategories(List<Category> categories)` Sets the channel categories.
`void` | `setCloud(Cloud cloud)` Sets the channel cloud.
`void` | `setCopyright(String copyright)` Sets the channel copyright.
`void` | `setDescription(String description)` Sets the channel description.
`void` | `setDocs(String docs)` Sets the channel docs.
`void` | `setGenerator(String generator)` Sets the channel generator.
`void` | `setImage(Image image)` Sets the channel image.
`void` | `setItems(List<Item> items)` Sets the channel items.
`void` | `setLanguage(String language)` Sets the channel language.
`void` | `setLastBuildDate(Date lastBuildDate)` Sets the channel last build date.
`void` | `setLink(String link)` Sets the channel link.
`void` | `setManagingEditor(String managingEditor)` Sets the channel managing editor.
`void` | `setModules(List<Module> modules)` Sets the channel modules.
`void` | `setPubDate(Date pubDate)` Sets the channel publishing date.
`void` | `setRating(String rating)` Sets the channel rating.
`void` | `setSkipDays(List<String> skipDays)` Sets the channel skip days.
`void` | `setSkipHours(List<Integer> skipHours)` Sets the channel skip hours.
`void` | `setTextInput(TextInput textInput)` Sets the channel text input.
`void` | `setTitle(String title)` Sets the channel title.
`void` | `setTtl(int ttl)` Sets the channel time to live.
`void` | `setUri(String uri)` Sets the channel uri.
`void` | `setWebMaster(String webMaster)` Sets the channel web master.

Methods inherited from class com.sun.syndication.feed.WireFeed
`clone, equals, getEncoding, getFeedType, getForeignMarkup, hashCode, setEncoding, setFeedType, setForeignMarkup, toString`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Field Detail

### SUNDAY

    public static final String SUNDAY

See Also:
  Constant Field Values

### MONDAY

    public static final String MONDAY

See Also:
  Constant Field Values

### TUESDAY

    public static final String TUESDAY

See Also:
  Constant Field Values

### WEDNESDAY

    public static final String WEDNESDAY

See Also:
  Constant Field Values

### THURSDAY

    public static final String THURSDAY

See Also:
  Constant Field Values

### FRIDAY

    public static final String FRIDAY

See Also:
  Constant Field Values

### SATURDAY

    public static final String SATURDAY

See Also:
  Constant Field Values

Constructor Detail

### Channel

    public Channel()

  Default constructor, for bean cloning purposes only.

### Channel

    public Channel(String type)

  Channel Constructor. All properties, except the type, are set to null.

  Parameters:
    `type` - the type of the RSS feed.

Method Detail

### getTitle

    public String getTitle()

  Returns the channel title.

  Returns:
    the channel title, null if none.

### setTitle

    public void setTitle(String title)

  Sets the channel title.

  Parameters:
    `title` - the channel title to set, null if none.

### getDescription

    public String getDescription()

  Returns the channel description.

  Returns:
    the channel description, null if none.

### setDescription

    public void setDescription(String description)

  Sets the channel description.

  Parameters:
    `description` - the channel description to set, null if none.

### getLink

    public String getLink()

  Returns the channel link.

  Returns:
    the channel link, null if none.

### setLink

    public void setLink(String link)

  Sets the channel link.

  Parameters:
    `link` - the channel link to set, null if none.

### getUri

    public String getUri()

  Returns the channel uri.

  Returns:
    the channel uri, null if none.

### setUri

    public void setUri(String uri)

  Sets the channel uri.

  Parameters:
    `uri` - the channel uri, null if none.

### getImage

    public Image getImage()

  Returns the channel image.

  Returns:
    the channel image, null if none.

### setImage

    public void setImage(Image image)

  Sets the channel image.

  Parameters:
    `image` - the channel image to set, null if none.

### getItems

    public List<Item> getItems()

  Returns the channel items.

  Returns:
    a list of Item elements with the channel items, an empty list if none.

### setItems

    public void setItems(List<Item> items)

  Sets the channel items.

  Parameters:
    `items` - the list of Item elements with the channel items to set, an empty list or null if none.

### getTextInput

    public TextInput getTextInput()

  Returns the channel text input.

  Returns:
    the channel text input, null if none.

### setTextInput

    public void setTextInput(TextInput textInput)

  Sets the channel text input.

  Parameters:
    `textInput` - the channel text input to set, null if none.

### getLanguage

    public String getLanguage()

  Returns the channel language.

  Returns:
    the channel language, null if none.

### setLanguage

    public void setLanguage(String language)

  Sets the channel language.

  Parameters:
    `language` - the channel language to set, null if none.

### getRating

    public String getRating()

  Returns the channel rating.

  Returns:
    the channel rating, null if none.

### setRating

    public void setRating(String rating)

  Sets the channel rating.

  Parameters:
    `rating` - the channel rating to set, null if none.

### getCopyright

    public String getCopyright()

  Returns the channel copyright.

  Returns:
    the channel copyright, null if none.

### setCopyright

    public void setCopyright(String copyright)

  Sets the channel copyright.

  Parameters:
    `copyright` - the channel copyright to set, null if none.

### getPubDate

    public Date getPubDate()

  Returns the channel publishing date.

  Returns:
    the channel publishing date, null if none.

### setPubDate

    public void setPubDate(Date pubDate)

  Sets the channel publishing date.

  Parameters:
    `pubDate` - the channel publishing date to set, null if none.

### getLastBuildDate

    public Date getLastBuildDate()

  Returns the channel last build date.

  Returns:
    the channel last build date, null if none.

### setLastBuildDate

    public void setLastBuildDate(Date lastBuildDate)

  Sets the channel last build date.

  Parameters:
    `lastBuildDate` - the channel last build date to set, null if none.

### getDocs

    public String getDocs()

  Returns the channel docs.

  Returns:
    the channel docs, null if none.

### setDocs

    public void setDocs(String docs)

  Sets the channel docs.

  Parameters:
    `docs` - the channel docs to set, null if none.

### getManagingEditor

    public String getManagingEditor()

  Returns the channel managing editor.

  Returns:
    the channel managing editor, null if none.

### setManagingEditor

    public void setManagingEditor(String managingEditor)

  Sets the channel managing editor.

  Parameters:
    `managingEditor` - the channel managing editor to set, null if none.

### getWebMaster

    public String getWebMaster()

  Returns the channel web master.

  Returns:
    the channel web master, null if none.

### setWebMaster

    public void setWebMaster(String webMaster)

  Sets the channel web master.

  Parameters:
    `webMaster` - the channel web master to set, null if none.

### getSkipHours

    public List<Integer> getSkipHours()

  Returns the channel skip hours.

  Returns:
    a list of Integer elements with the channel skip hours, an empty list if none.

### setSkipHours

    public void setSkipHours(List<Integer> skipHours)

  Sets the channel skip hours.

  Parameters:
    `skipHours` - the list of Integer elements with the channel skip hours to set, an empty list or null if none.

### getSkipDays

    public List<String> getSkipDays()

  Returns the channel skip days.

  Returns:
    a list of Day elements with the channel skip days, an empty list if none.

### setSkipDays

    public void setSkipDays(List<String> skipDays)

  Sets the channel skip days.

  Parameters:
    `skipDays` - the list of Day elements with the channel skip days to set, an empty list or null if none.

### getCloud

    public Cloud getCloud()

  Returns the channel cloud.

  Returns:
    the channel cloud, null if none.

### setCloud

    public void setCloud(Cloud cloud)

  Sets the channel cloud.

  Parameters:
    `cloud` - the channel cloud to set, null if none.

### getCategories

    public List<Category> getCategories()

  Returns the channel categories.

  Returns:
    a list of Category elements with the channel categories, an empty list if none.

### setCategories

    public void setCategories(List<Category> categories)

  Sets the channel categories.

  Parameters:
    `categories` - the list of Category elements with the channel categories to set, an empty list or null if none.

### getGenerator

    public String getGenerator()

  Returns the channel generator.

  Returns:
    the channel generator, null if none.

### setGenerator

    public void setGenerator(String generator)

  Sets the channel generator.

  Parameters:
    `generator` - the channel generator to set, null if none.

### getTtl

    public int getTtl()

  Returns the channel time to live.

  Returns:
    the channel time to live, null if none.

### setTtl

    public void setTtl(int ttl)

  Sets the channel time to live.

  Parameters:
    `ttl` - the channel time to live to set, null if none.

### getModules

    public List<Module> getModules()

  Returns the channel modules.

  Specified by:
    `getModules` in interface `Extendable`
  Overrides:
    `getModules` in class `WireFeed`
  Returns:
    a list of ModuleImpl elements with the channel modules, an empty list if none.

### setModules

    public void setModules(List<Module> modules)

  Sets the channel modules.

  Specified by:
    `setModules` in interface `Extendable`
  Overrides:
    `setModules` in class `WireFeed`
  Parameters:
    `modules` - the list of ModuleImpl elements with the channel modules to set, an empty list or null if none.

### getModule

    public Module getModule(String uri)

  Returns the module identified by a given URI.

  Specified by:
    `getModule` in interface `Extendable`
  Overrides:
    `getModule` in class `WireFeed`
  Parameters:
    `uri` - the URI of the ModuleImpl.
  Returns:
    The module with the given URI, null if none.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004-2013 ROME Project. All Rights Reserved.